###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: magma-plugins
Version: 1.0.15
Release: 3
License: GPL
Group: System Environment/Libraries
Summary: Cluster manager plugins for magma
BuildRequires: cman-kernheaders dlm-kernheaders gulm-devel dlm-devel magma-devel
ExclusiveArch: i386 ia64 x86_64 ppc64
Source0: %{name}-%{version}.tar.gz
Patch0: bz572695.patch
Patch1: bz664385-fix_rare_error_success_being_passed_up.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cluster manager plugins for magma

%prep
%setup -q -n %{name}-%{version}
%patch0 -p2
%patch1 -p2 -b .bz664385.1

%build
./configure --libdir=/%{_lib} --mandir=%{_mandir} --slibdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /%{_lib}/magma/
/%{_lib}/magma/*


%changelog
* Thu Jul 28 2011 Lon Hohberger <lhh@redhat.com> 1.0.15-3
- magma-plugins: Fix rare "error: Success" being passed up
  Resolves: rhbz#664385

* Thu Mar 11 2010 Lon Hohberger <lhh@redhat.com> 1.0.15-2
- Rename patch and rebuild
- Resolves: rhbz#572695

* Tue Feb 16 2010 Lon Hohberger <lhh@redhat.com> 1.0.15-1.2
- Fix error handling from dlm_lock which was allowing
  65539 to be passed up
- Resolves: rhbz#294491 

* Mon Dec 15 2008 Chris Feist <cfeist@redhat.com>
- Fix loops allowing 65539 to be passed up
- Resolves: rhbz#294491 

* Wed Mar 05 2008 Chris Feist <cfeist@redhat.com>
- When mamga_sm.o recieves the dlm EINPROG error it now retries
- Resolves: rhbz#294491

* Tue Jan 30 2007 Chris Feist <cfeist@redhat.com>
- Build for ppc64

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up spec file (%ix86, %files)

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com>
- Previously used libdlm instead of libdlm_t.

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- Packaged new upstream sources.

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- add requires field

* Sat Aug 14 2004 Jon Brassow <jbrassow@redhat.com>
- new upstream sources

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com>
- Initial build.
